$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.24.2.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.24.2.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '72DC7C443516E243A0DCFDDF6F138D40D488080B36CDDCD474997E8CFCE8ABF6'
  checksumType = 'sha256'
  checksum64 = '72DC7C443516E243A0DCFDDF6F138D40D488080B36CDDCD474997E8CFCE8ABF6'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.24.2-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
